<? if ( count($this->ads) ): ?>
  <? foreach( $this->ads as $ad ):  ?>

 <? $img = new Cubix_ImagesCommonItem($ad->images[0]); ?>

  <!-- classified-ad  -->
<div class="classified-ad">
    <div class="row no-gutters">
        <div class="col-6 col-sm-6 col-md-4 col-lg-2 ad-images-col">
            <div class="d-flex">
                <div class="image-cell">
                    <? if (isset($img->hash)): ?>
                    <img class="img-fluid first-image ca-image" src=" <?= ($img->getUrl('classified_ads_main') ? $img->getUrl('classified_ads_main') : '/img/photo-unavailable.jpg') ?> " alt="An escort image">
                    <? else: ?>
                        <img class="img-fluid no-image-custom first-image" src=" <?= '/img/photo-unavailable.jpg' ?> " alt="An escort image">
                    <?endif;?>
                </div>
            </div>
        </div>
      <div class="col-6 col-sm-6 col-md-8 col-lg-10 ad-data-col d-flex flex-column">
          <div class="ad-data-col">
              <div class="d-flex justify-content-between flex-column flex-md-row">
                  <div class="ad-escort-showname">
                      <span class="ad-escort-showname" href="#"><?= $ad->title ?></span>
                  </div>
              </div>
              <div class="d-flex justify-content-between flex-column flex-md-row ">in: <?= $ad->category ?>, ID: #<?= $ad->id ?>,  Views: <?= $ad->view_count ?></div>
              <hr class="m-1 hidden-xs-down">
              <div class="text ad-text">
                  <? // https://sceonteam.atlassian.net/browse/EGUK-389 remove any such stupid icons, as Katie said :) ?>
                  <? $stripedAdText = strip_tags($ad->text, null) ?>
                  <?= $stripedAdText ?>
              </div>
              <div class="text-right mt-3">
                  <i class="ion-ios-location"></i> <?= $ad->city_title ?>,
                  <i class="ion-calendar"></i> <?= (date('d.M.Y', strtotime($ad->approvation_date)) == date('d.M.Y', time())) ? __('today') : date('d M Y', strtotime($ad->approvation_date)); ?>
              </div>
              <div class="w100 transparent m-text-right">
                  <a href="<?= $this->getLink('classified-ads-ad', array('id' => $ad->id, 'title' => $ad->slug)) ?>">
                      <button type="button" class="btn btn-sm m-btn btn-blue view-ad-btn">VIEW AD</button>
                  </a>
              </div>
          </div>
        <? /*
        <div class="social-media-links d-none d-md-block text-right">
          <a href="#" class="fb-icon" onclick="window.open('https://www.facebook.com/sharer/sharer.php?u=http://www.escortguide.co.uk/classified-ads/', 'facebook-share-dialog', 'width=626,height=436')">
             <i class="ion-social-facebook"></i>
          </a>

          <a href="https://twitter.com/share?url=http://www.escortguide.co.uk/classified-ads/" target="_blank" class="twitter-icon"><i class="ion-social-twitter"></i>
          </a>
        </div>
        */?>
    </div>
  </div>
</div>
<? endforeach; ?>
<? else: ?>
  <b class="no-found col-12"><?= __('no_ads_found') ?></b>
<? endif; ?>

<?php $pages_count = ceil($this->count / $this->perPage); ?>
<?php if($pages_count != 1 ): ?>

    <div class="col-12">
        <nav aria-label="Page navigation" class="pull-right">
            <ul class="pagination mt-2 d-flex justify-content-center justify-content-md-end justify-content-lg-end">
                <? $pages = $this->paging($this->count, $this->page, $this->perPage, 3, 1); ?>
                <? if ( 1 < $this->page): ?>
                    <li class="page-item">
                        <a class="page-link" href="#" aria-label="Previous" data-page="<?= $this->page - 1;?>" name="page">
                            <span aria-hidden="true">&laquo;</span>
                            <span class="sr-only"><?= $this->t('previous') ?></span>
                        </a>
                    </li>
                <? endif ?>

                <? foreach ( $pages as $page ): ?>
                    <li class="page-item <?= ($this->page == $page) ? 'active' : '' ?>">
                        <a class="page-link" href="#" data-page="<?= $page;?>" name="page"><?= $page ?>
                        </a>
                    </li>
                <? endforeach ?>

                <? if ( $pages_count > $this->page): ?>
                    <li class="page-item">
                        <a class="page-link" href="#" aria-label="Next" data-page="<?= count($pages) + 1?>" name="page">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only"><?= $this->t('next') ?></span>
                        </a>
                    </li>
                <? endif ?>
            </ul>
        </nav>
    </div>
<?php endif;?>
